0 Replies Latest reply: Sep 26, 2009 6:29 AM by 807567 RSS

    pkg error no set gid for root?

      Help, i finally got an awesome install and now every time i try and run the pkg command, it gives me a no set gid for root error. what does this mean? if i am in the wrong place plase let me know who can help, a copy of the error is pasted below. thank you so much for your help.

      olive@computer:~$ pkg refresh
      Traceback (most recent call last):
      File "/usr/bin/pkg", line 2228, in ?
      __ret = main_func()
      File "/usr/bin/pkg", line 2171, in main_func
      return catalog_refresh(mydir, pargs)
      File "/usr/bin/pkg", line 1494, in catalog_refresh
      api_inst.refresh(full_refresh, pargs)
      File "/usr/lib/python2.4/vendor-packages/pkg/client/api.py", line 574, in refresh
      File "/usr/lib/python2.4/vendor-packages/pkg/client/image.py", line 1407, in retrieve_catalogs
      File "/usr/lib/python2.4/vendor-packages/pkg/client/image.py", line 1135, in update_installed_pkgs
      raise api_errors.PermissionsException(e.filename)
      PermissionsException: Could not operate on /var/pkg/state/installed
      because of insufficient permissions. Please try the command again using pfexec
      or otherwise increase your permissions.

      pkg: This is an internal error. Please let the developers know about this
      problem by filing a bug at http://defect.opensolaris.org and including the
      above traceback and this message. The version of pkg(5) is '666742d60b75'.